__gnu_cxx::balloc::_Functor_Ref(3)

NAME
__gnu_cxx::balloc::_Functor_Ref -

SYNOPSIS

Inherits unary_function< _Functor::argument_type, _Functor::result_type >.

Detailed Description

  template<typename _Functor> class __gnu_cxx::balloc::_Functor_Ref< _Functor >

Definition at line 492 of file bitmap_allocator.h.

  Public Types
typedef _Functor::argument_type argument_type
typedef _Functor::result_type result_type

  Public Member Functions
_Functor_Ref (_Functor &__fref)
result_type operator() (argument_type __arg)

Member Typedef Documentation

  typedef _Functor::argument_type argument_type

argument_type is the type of the

Reimplemented from unary_function< _Functor::argument_type, _Functor::result_type >.

Definition at line 499 of file bitmap_allocator.h.

  typedef _Functor::result_type result_type

argument (no surprises here) result_type is the return type

Reimplemented from unary_function< _Functor::argument_type, _Functor::result_type >.

Definition at line 500 of file bitmap_allocator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.